package com.fp.common.exception;

import com.fp.common.logger.APPLogger;

/**
 * Clase que maneja exepcion de valores requeridos en un bean.
 * @author Jorge Vaca
 * @version 2.1
 */
public class PropertyValueException extends ExceptionManager{
	
	/**
	 * Metodo que entrega el mensaje de usuario de la excepcion.
	 */
	public String getUserMessage(Throwable pException) {
		try{
			String data=pException.getMessage();
			data=data.substring(data.indexOf(':')+1, data.length());
			data=data.substring(data.indexOf('.')+1);
			String[]param=data.split("\\.");			
			return this.getMessage("PropertyValueException",param[param.length -2],param[param.length -1]);
		}catch(Exception e){
			APPLogger.getLogger().warn(e);
		}
		return pException.getLocalizedMessage();
	}

	/**
	 * Metodo que entrega el codigo de la excepcion.
	 */
	public String getCode(Throwable pException) {
		return pException.getClass().getName();
	}

}
